> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bayse.markets/llms.txt
> Use this file to discover all available pages before exploring further.

# Ticker

> Get real-time price and volume statistics for a market outcome

## Authentication

No authentication required.

## Path parameters

<ParamField path="marketId" type="string" required>
  UUID of the market.
</ParamField>

## Query parameters

<ParamField query="outcome" type="string">
  The outcome label: `YES` or `NO`. Required if `outcomeId` is not provided.
</ParamField>

<ParamField query="outcomeId" type="string">
  UUID of the outcome. Must belong to the specified market. Required if `outcome` is not provided.
</ParamField>

## Example request

<CodeGroup>
  ```bash cURL theme={null}
  curl "https://relay.bayse.markets/v1/pm/markets/b2c3d4e5-f6a7-8901-bcde-f12345678901/ticker?outcome=YES"
  ```

  ```javascript Node.js theme={null}
  const marketId = 'b2c3d4e5-f6a7-8901-bcde-f12345678901';
  const response = await fetch(
    `https://relay.bayse.markets/v1/pm/markets/${marketId}/ticker?outcome=YES`
  );
  const ticker = await response.json();
  ```

  ```python Python theme={null}
  import requests

  market_id = 'b2c3d4e5-f6a7-8901-bcde-f12345678901'
  resp = requests.get(
      f'https://relay.bayse.markets/v1/pm/markets/{market_id}/ticker',
      params={'outcome': 'YES'},
  )
  ticker = resp.json()
  ```

  ```go Go theme={null}
  req, _ := http.NewRequest(
      "GET",
      "https://relay.bayse.markets/v1/pm/markets/b2c3d4e5-f6a7-8901-bcde-f12345678901/ticker",
      nil,
  )
  q := req.URL.Query()
  q.Add("outcome", "YES")
  req.URL.RawQuery = q.Encode()
  resp, _ := http.DefaultClient.Do(req)
  ```
</CodeGroup>

## Response

Returns current market statistics for the requested outcome.

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "marketId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
    "outcome": "YES",
    "lastPrice": 0.72,
    "bestBid": 0.70,
    "bestAsk": 0.72,
    "midPrice": 0.71,
    "spread": 0.02,
    "volume24h": 15420,
    "high24h": 0.74,
    "low24h": 0.65,
    "priceChange24h": 0.04,
    "tradeCount24h": 247,
    "timestamp": "2026-02-17T12:00:00Z"
  }
  ```
</ResponseExample>
